%-------------------------------------------------------------------------------
%                Required Packages
%-------------------------------------------------------------------------------
\usepackage{booktabs}
\usepackage{multirow}
\usepackage{longtable}
\usepackage[table]{xcolor}
\usepackage[shortlabels]{enumitem}
\usepackage{ifthen}
\usepackage{caption}


%Contador para los reqdatos
\newcounter{reqdatosctr}
\setcounter{reqdatosctr}{0}

%-------------------------------------------------------------------------------
%                \addtitle command: add the title of the reqdatos
%-------------------------------------------------------------------------------

\newcommand{\refreqdatos}[1]{%
	\texttt{[RD-\ref{#1}]}%
}

\newcommand\addtitlereqdatos[2]{%
	\hline \rowcolor{gray!15}  %
	\multicolumn{2}{|c|}{%
		\refstepcounter{reqdatosctr}\label{#2}%
		\texttt{\textbf{RD-\arabic{reqdatosctr}}} \textbf{#1}%
	} \\ \hline
}

\newcommand\tabularheadreqdatos{\begin{longtable*}{|lp{10cm}|}
	}
	
	%-------------------------------------------------------------------------------
	%                \addfield command: add a property of the reqdatos
	%-------------------------------------------------------------------------------
	\newcommand\addfieldreqdatos[2]{\textit{#1} &#2\\ \hline  }
	
	%-------------------------------------------------------------------------------
	%                \additemizedfield command: add a field with an item list
	%-------------------------------------------------------------------------------
	\newcommand\additemizedfieldreqdatos[2]{ 
		\begin{minipage}[t][][t]{2cm}
			\textit{#1}
			\vspace{1.3ex}
		\end{minipage}% 
		&
		\begin{minipage}[t][][t]{8.3cm}
			\begin{itemize}[leftmargin=*,nosep] 
				#2
			\end{itemize}
			\vspace{1.5ex}
		\end{minipage}\\ \hline}
	
	%-------------------------------------------------------------------------------
	%                Definition of the reqdatosetive environment
	%-------------------------------------------------------------------------------
	\newenvironment{reqdatos}{\tabularheadreqdatos}
	{\end{longtable*}}